commit 40e6142680fdecb0c4829c708f5037d347a91151
Author: Ondřej Nový <onovy@debian.org>
Date:   Thu Aug 11 21:00:06 2016 +0200

    Use pycodestyle instead of pep8

diff --git a/debian/changelog b/debian/changelog
index 3b63059..d4d2568 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+autopkgtest (4.0.4) UNRELEASED; urgency=medium
+
+  * Use pycodestyle instead of pep8
+
+ -- Ondřej Nový <onovy@debian.org>  Thu, 11 Aug 2016 20:59:09 +0200
+
 autopkgtest (4.0.3) unstable; urgency=medium
 
   [ Christian Kastner ]
diff --git a/debian/control b/debian/control
index 6194693..31c7502 100644
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,7 @@ Build-Depends: debhelper (>= 9),
  python3-docutils,
  pyflakes,
  procps,
- pep8
+ pycodestyle
 Vcs-Git: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 Vcs-Browser: https://anonscm.debian.org/git/autopkgtest/autopkgtest.git
 X-Python3-Version: >= 3.1
diff --git a/debian/rules b/debian/rules
index a7259e3..b4640d7 100755
--- a/debian/rules
+++ b/debian/rules
@@ -36,7 +36,7 @@ override_dh_auto_install:
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
-	tests/pep8 || true
+	tests/pycodestyle || true
 	tests/testdesc
 	tests/run_args
 	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
diff --git a/tests/pep8 b/tests/pep8
deleted file mode 100755
index 65884e5..0000000
--- a/tests/pep8
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-set -e
-testdir="$(dirname $(readlink -f $0))"
-rootdir="$(dirname $testdir)"
-
-pep8 --ignore E402,E501 $rootdir/lib/*.py $rootdir/tools/autopkgtest-buildvm-ubuntu-cloud
-
-for v in chroot null schroot lxc lxd qemu ssh; do
-    pep8 --ignore E501,E402 $rootdir/virt/$v
-done
-
-pep8 --ignore E501,E402 $rootdir/runner/autopkgtest $testdir/autopkgtest $testdir/adt-run $testdir/testdesc $testdir/run_args $testdir/*.py
diff --git a/tests/pycodestyle b/tests/pycodestyle
new file mode 100755
index 0000000..4cfbca1
--- /dev/null
+++ b/tests/pycodestyle
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+testdir="$(dirname $(readlink -f $0))"
+rootdir="$(dirname $testdir)"
+
+pycodestyle --ignore E402,E501 $rootdir/lib/*.py $rootdir/tools/autopkgtest-buildvm-ubuntu-cloud
+
+for v in chroot null schroot lxc lxd qemu ssh; do
+    pycodestyle --ignore E501,E402 $rootdir/virt/$v
+done
+
+pycodestyle --ignore E501,E402 $rootdir/runner/autopkgtest $testdir/autopkgtest $testdir/adt-run $testdir/testdesc $testdir/run_args $testdir/*.py
diff --git a/tests/run-parallel b/tests/run-parallel
index fa1a2e5..4c3b103 100755
--- a/tests/run-parallel
+++ b/tests/run-parallel
@@ -5,7 +5,7 @@ MYDIR=$(dirname $0)
 
 # these are fast, run them first
 set -e
-$MYDIR/pep8
+$MYDIR/pycodestyle
 $MYDIR/pyflakes
 $MYDIR/testdesc
 $MYDIR/autopkgtest_args
